Uploaded image for project: 'OpenAM'
  1. OpenAM
  2. OPENAM-6319

OAuth2 scopes behaviour affected by the upgrade

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Won't Fix
    • Affects Version/s: 12.0.1, 12.0.2
    • Fix Version/s: None
    • Component/s: oauth2
    • Environment:
      OpenAM 11.0.2 on WebLogic 12c JDK 7 Windows 2008R2
    • Sprint:
      AM Sustaining Sprint 13

      Description

      OAuth2 scopes behaviour is affected by the upgrade process. Namely, the "Scope Implementation Class" parameter for OAuth2 Provider service is:

      org.forgerock.openam.oauth2.provider.impl.ScopeImpl

      instead of being updated to

      org.forgerock.openam.oauth2.OpenAMScopeValidator

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                quentin.castel Quentin CASTEL
                Reporter:
                n4al Nemanja Lukic
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: